<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8" />
  <title>ITEA-JS ADVANCED - LESSON 2: CLASSWORK 3</title>
  <link rel="stylesheet" href="css/style.min.css" />
</head>
<body>
  <div class="buttons" id="target">
    <button class="popup__button" id="popup_1" data-popup="1"> Show popup 1</button>
    <button class="popup__button" id="popup_2" data-popup="2"> Show popup 2</button>
    <button class="popup__button" id="popup_3" data-popup="3"> Show popup 3</button>
  </div>

  <div class="popup" id="popup">

    <div class="popup__body">
      <button class="popup__close" id="popup__close">Close popup</button>
      <div class="popup__container" id="popup__container">
        <div class="popup__item" data-popup="1"><h2>I'm first popup</h2></div>
        <div class="popup__item" data-popup="2"><h2>I'm second popup</h2></div>
        <div class="popup__item" data-popup="3"><h2>I'm third popup</h2></div>
      </div>
    </div>
  </div>

  <script>
    var elems = document.querySelectorAll('.popup__button');
    var popup = document.getElementById('popup');
    elems.forEach(function(e){      
      e.addEventListener('click', function(e){
        popup.classList.add('show');
          var popaps = document.querySelectorAll('.popup__item');
          popaps.forEach(function(elem){
            console.log(elem.dataset.popup==e.target.dataset.popup);
            if(elem.dataset.popup==e.target.dataset.popup){
              elem.classList.add('show');
            }else{
              elem.classList.remove('show');
            }
          });
      })
    });
    document.getElementById('popup__close').addEventListener('click',function(){
      popup.classList.remove('show');
    })

   
    
    
    /*

      Задача: Сделать корректно работающее всплывающее окно.
      Условие: Узменять HTML разметку выше - нельзя.
      При нажании на одну из кнопок, должно открытся окно с соответствующим data- аттрибутом.
      При нажатии на кнопку close окно дожно закрываться.

    */
  </script>
</body>
</html>
